Skip to main content
`Ctrl`+`K`

# TSTrajectoryType

String with the name of a PETSc `TS` trajectory storage method

## Synopsis

    #include <petscts.h>
    typedef const char *TSTrajectoryType;
    #define TSTRAJECTORYBASIC         "basic"
    #define TSTRAJECTORYSINGLEFILE    "singlefile"
    #define TSTRAJECTORYMEMORY        "memory"
    #define TSTRAJECTORYVISUALIZATION "visualization"

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetSaveTrajectory()`, `TSTrajectoryCreate()`, `TSTrajectoryDestroy()`

## Level

intermediate

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages